# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/AssertOS.pm) perl(Devel/CheckOS.pm) perl(Exporter.pm) perl(File/Find/Rule.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Linux/Systemd/Journal/Write.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Base.pm) perl(Log/Any/Adapter/Util.pm) perl(Module/Build/Tiny.pm) perl(Sys/Hostname.pm) perl(Test/CheckDeps.pm) perl(Test2/V0.pm) perl(base.pm) perl(if.pm)
# END SourceDeps(oneline)
%define module_name Log-Any-Adapter-LinuxJournal
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.173471
Release: alt1
Summary: Log::Any adapter for the systemd journal on Linux
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IO/IOANR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WARNING This is a the Log::Any manpage adpater for *structured* logging, which means it
is only useful with a very recent version of the Log::Any manpage, at least `1.700'

It will log messages to the systemd journal via the Linux::Systemd::Journal::Write manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/L*

%changelog
* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.173471-alt1
- initial import by package builder

